Subject: bug#64196: Can't boot due to discrepancy between reconfigure and init

From: Csepp <[email-masked]>
Date: Sat, 24 Jun 2023 20:01:12 +0200

Josselin Poiret <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Hi,
>
> Csepp <[email-masked]> writes:
>>> I don't think there is, the biggest difference is that `guix system
>>> init` will copy stuff into the target store and initialize the basic
>>> directories for Guix, whereas reconfigure will just build everything in
>>> the current store.
>>>
>>> Best,
>>
>> I mean, that's the theory, but either Guix or GRUB seems to get the
>> incorrect UUID from *somewhere*.
>
> You can manually check that the generated grub.cfg file contains the
> expected UUID after the reconfigure, it should be in
> /boot/grub/grub.cfg.
>
> Best,

I did, I think I already wrote that it wasn't coming from there, but
I'll check again when I next try it.